Обработка ошибок: Напишите программу 1

Сообщения
1 471
Реакции
271
Сайт
tehadm.ru
Вы должны вызвать функцию divide которая делит два числа, но она возвращает не только результат деления, но и информацию об ошибке. В случае какой-либо ошибки вы должны вывести "ошибка", если ошибки нет - результат функции. Функция divide(a int, b int) (int, error) получает на вход два числа которые нужно поделить и возвращает результат (int) и ошибку (error). Пакет main уже объявлен, а нужные пакеты уже импортированы!

Не забудьте считать два числа которые необходимо поделить (передать в функцию)!

Sample Input:

10 5

Sample Output:
2
 
C-подобный:
package main

import (
    "fmt"
)

func divide(a int, b int) (int, error) {
    if b == 0 {
        return 0, fmt.Errorf("division by zero")
    }
    return a / b, nil
}

func main() {
    var a, b int
    fmt.Scan(&a, &b)

    result, err := divide(a, b)
    if err != nil {
        fmt.Println("ошибка")
    } else {
        fmt.Println(result)
    }
}

Как работает код:
  1. Считываются два числа a и b из стандартного ввода с помощью fmt.Scan(&a, &b).
  2. Вызывается функция divide(a, b), которая возвращает результат деления и ошибку.
  3. Если в функции произошла ошибка (т. е. err != nil), выводится "ошибка".
  4. Если ошибки нет, выводится результат деления result.
 
Назад
Верх Низ